<app-loading *ngIf="isLoading"></app-loading>

<div class="action-breadcrumb-float-right">
  <mb-button
    *ngIf="checkViewEffectiveDate()"
    mbButtonAvailableStyle="DANGER"
    mbButtonSize="LARGE"
    mbButtonText="{{ 'development.proposed-unit.button.delete' | translate }}"
    (click)="deleteIssuedGroup()">
  </mb-button>
</div>

<nz-card class="header-form m-0">
  <div nz-row [nzGutter]="[32, 32]">
    <div nz-col class="gutter-row" nzLg="6">
    <span class="title-section">{{ 'development.proposed-unit.table.issueCode' | translate }}</span
    ><br />
      <label class="text-label">{{ pubLishCode }}</label>
    </div>

    <div nz-col class="gutter-row" nzLg="6">
    <span class="title-section">{{ 'development.proposed-unit.table.promulgatedContent' | translate }}</span
    ><br />
      <mb-input-text

        [mbDisable]="publishStatus !== (FlowCodeConstants.DongY10A || publicStatusCode.issueTransfer12dot3A || publicStatusCode.issueTransfer12dot4)"
        [(ngModel)]="publishContent"
        mbPlaceholderText="{{ 'development.proposed-unit.table.promulgatedContent' | translate }}"
      >
      </mb-input-text>
    </div>

    <div nz-col class="gutter-row" nzLg="6">
    <span class="title-section">{{ 'development.approvement-issue.search.statusPublish' | translate }}</span
    ><br />
      <label class="text-label">{{ statusPublishName }}</label>
    </div>

    <div nz-col class="gutter-row" nzLg="6" *ngIf="withdrawNoteName">
    <span class="title-section">{{ 'development.proposed-unit.table.noteWithdraw' | translate }}</span
    ><br />
      <label class="text-label">{{withdrawNoteName}}</label>
    </div>

  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''" [extra]='false'>
  <mb-table [tableConfig]="tableConfigIssued" [tableData]="listEmployeeInfoTotal"
            [heightTable]="heightTableIssued"
  >
  </mb-table>
</mb-table-wrap>

<ng-template #issueEffectiveStartDateTmpl let-issueEffectiveStartDate="issueEffectiveStartDate">
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="issueEffectiveStartDate"></em>
  <span class="effectiveDate">{{ issueEffectiveStartDate | date: 'dd/MM/YYYY' }}</span>
</ng-template>

<ng-template #releaseDateTmpl let-releaseDate="releaseDate">
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="releaseDate"></em>
  <span class="effectiveDate">{{ releaseDate | date: 'dd/MM/YYYY' }}</span>
</ng-template>

<ng-template #issueEffectiveEndDateTmpl let-issueEffectiveEndDate1="issueEffectiveEndDate1">
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="issueEffectiveEndDate1"></em>
  <span class="effectiveDate">{{ issueEffectiveEndDate1 | date: 'dd/MM/YYYY' }}</span>
</ng-template>

<nz-card style="margin-top: 1em">
  <div
    nz-row
    [nzGutter]="[40, 32]"

  >
    <div nz-col class="gutter-row paddingTopStatement" nzLg="24">
      <ng-container>
        <mb-button
          (click)="dowloadStatement(1)"
          mbButtonAvailableStyle='PRIMARY'
          class="withdrawElement"
          mbButtonText="{{ 'development.proposed-unit.reportCard.printDecision' | translate }}"
        >
        </mb-button>
      </ng-container>
    </div>
  </div>

  <div
    nz-row
    [nzGutter]="[40, 32]"
    [formGroup]="form"
  >
    <div nz-col class="gutter-row" nzLg="6" *ngIf="decisionNumber">
      <mb-input-text
        mbLabelText="{{ 'development.proposed-unit.reportCard.decisionNumber' | translate }}"
        mbPlaceholderText="{{ 'development.proposed-unit.reportCard.decisionNumber' | translate }}"
        formControlName="decisionNumber"
        [mbDisable] = true
      >
      </mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6" *ngIf="signedDate">
      <mb-date-picker
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        mbLabelText="{{ 'development.proposed-unit.reportCard.signedDate' | translate }}"
        formControlName="signedDate"
        [mbDisabled] = true
      >
      </mb-date-picker>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-input-text
        mbLabelText="{{ 'development.proposed-unit.reportCard.signName' | translate }}"
        mbPlaceholderText="{{ 'development.proposed-unit.reportCard.signName' | translate }}"
        formControlName="signerFullName"
        [(ngModel)]="signerFullName"
        [mbDisable] = true
      >
      </mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6" *ngIf="checkUploadDowloadQd()">
      <span class="title-section"> {{ 'development.proposed-unit.reportCard.attachDecisionDv' | translate }} </span><br />
      <nz-upload
        [nzDownload]="downloadFile"
        nzListType="text"
        [(nzFileList)]="listFileNotifyDecisionQD"
        [nzMultiple]="false"
        [nzBeforeUpload]="beforeUploadSign"
        [nzRemove]="doRemoveFileSign"
        [nzShowButton] = checkUploadDowloadQd()
      >
        <mb-button
          mbButtonAvailableStyle='PRIMARY'
          class="reportCard__uploadBtn"
        >
          <span>
            <em nz-icon nzType="upload"></em>
          </span>
        </mb-button>
      </nz-upload>
    </div>
    <div nz-col class="gutter-row" nzLg="6" *ngIf="checkViewEffectiveDate() ||  typeAction === screenType.detail">
      <mb-date-picker
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        mbLabelText="{{ 'development.promulgate.section.effectiveDate' | translate }}"
        formControlName="minEffectiveDate"
        [mbDisabled] = "typeAction === screenType.detail"
        [mbDisabledDate]="disabledDateIssued"
      >
      </mb-date-picker>
    </div>
    <div nz-col class="gutter-row" nzLg="6" *ngIf="listFileNotifyDecisionBH.length > 0">
      <span class="title-section"> {{ 'development.proposed-unit.reportCard.printIssuedDecision' | translate }} </span><br/>
      <nz-upload
        [nzDownload]="downloadFile"
        nzListType="text"
        [(nzFileList)]="listFileNotifyDecisionBH"
        [nzMultiple]="false"
      >
      </nz-upload>
    </div>
    <div nz-col class="gutter-row paddingTopStatement" nzLg="6" *ngIf="checkBtnrequestCancelation()">
      <span class="title-section"></span><br />
      <mb-button
        mbButtonAvailableStyle='DEFAULT'
        mbButtonText="{{ 'development.promulgate.section.requestCancelIssue' | translate }}"
        (click)="requestCancelation()"
      >
      </mb-button>
    </div>
    <div nz-col class="gutter-row paddingTopStatement" nzLg="6" *ngIf="checkBtnChangeIssueDQ()">
      <span class="title-section"></span><br />
      <mb-button
        mbButtonAvailableStyle='PRIMARY'
        mbButtonText="{{ 'development.proposed-unit.messages.changeIssueDQ' | translate }}"
        (click)="transferToIssue()"
      >
      </mb-button>
    </div>
  </div>
</nz-card>

<nz-card class="idea" id="idea" *ngIf="checkNoteIssue() || typeAction === screenType.detail"
         [formGroup]="form">
  <div  nz-row
        [nzGutter]="[40, 32]"
  >
    <div nz-col class="gutter-row" nzLg="12">
      <mb-input-text
        [mbMaxLength]="100"
        [mbIsTextAre]='true'
        [mbConfig]="{ rows: 4, autoSize: true }"
        [(ngModel)]="paramDetail.ghiChuChuyenBanHanh"
        [mbDisable] = "typeAction === screenType.detail"
        formControlName = "commentConfirm"
        mbLabelText="{{ 'development.proposed-unit.detail.noteIssued' | translate }}"
        mbPlaceholderText="{{ 'development.proposed-unit.detail.noteIssued' | translate }}"
      ></mb-input-text>
    </div>
  </div>
</nz-card>

<!-- Lịch sử -->
<nz-card id="tab7">
  <div nz-row>
    <div nz-col class="gutter-row" nzLg="2" (click)="expandLog()">
      <h3>{{ 'development.proposed-unit.section.proposeLogs' | translate }}</h3>
    </div>
    <div nz-col class="gutter-row" nzLg="1" (click)="expandLog()">
      <span class="iconLog">
        <em nz-icon nzType="{{ iconStatus }}"></em>
      </span>
    </div>
  </div>

  <mb-table-wrap *ngIf="isExpand" [mbTitle]="''" [extra]='false'>
    <mb-table [tableConfig]="tableConfig" [tableData]="proposeLogs"
              [heightTable]="heightTable"
              (changePageNum)='getLog($event)'
    >
    </mb-table>
  </mb-table-wrap>
</nz-card>

<ng-template #actionListEmpIssued let-indexFix = 'indexFix'>
  <span (click)="deleteElementInIssued(indexFix)" *ngIf="checkBtnDeleteIssued()">
    <em nz-icon nzType="disconnect"></em>
  </span>
</ng-template>

<ng-template #dateLog let-actionDate  = 'actionDate'>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="actionDate"></em>
  <span class="sentDate">{{ actionDate | date: 'dd/MM/yyyy HH:mm' }}</span>
</ng-template>

<ng-template #labelSameDecision let-hasDecision = 'hasDecision'>
  <label nz-checkbox class="checkbox-table" [ngModel]="hasDecision" [disabled]="true"></label>
</ng-template>

<ng-template #tag let-statusPublishNameEmp = 'statusPublishNameEmp'>
  <nz-tag [nzColor]="displayStatusApprove(statusPublishNameEmp)"
          *ngIf="statusPublishNameEmp">
    {{statusPublishNameEmp}}
  </nz-tag>
</ng-template>

